<%@ page import="com.ether.WebHelper" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>

<script type="text/javascript">

    var InterfaceStatistics = Class.create( {
        initialize: function()
        {
            /** *********** CONTAINERS *********** **/
            this.containerTitle = $( "#title" );
            this.containerLanguage = $( "#language" );
            this.containerTabs = $( "#tab" );
            this.containerLogin = $( "#login" );

            /** *********** VARIABLES *********** **/
            this.language = '<spring:message code="language"/>';
            this.webmaster = "<%=WebHelper.getProperty(request, "mail.webmaster")%>";

            $( ".containerToDrag" ).draggable();
            this.bindButtons();
        },


        // CREATES AND BINDS ********************************************************
        bindButtons: function()
        {
            $( "#home_button" ).bind( "dblclick", this.onClickHome );
            $( "#language_button" ).bind( "dblclick", jQuery.proxy( this.onClickLanguage, this ) );
            $( "#mail_button" ).bind( "dblclick", this.onClickMail );
            $( "#login_button" ).bind( "dblclick", jQuery.proxy( this.onClickLogin, this ) );
        },

        // REQUESTS ********************************************************
        requestChangeLocale: function()
        {
            $.ajax( {
                url: "project?methodName=setLocale&language=<spring:message code="label.language.value.to.switch"/>",
                success:function()
                {
                    location.reload();
                }
            } );
        },

        // HANDLES ******************************************************** = retours ajax
        handleCreateXML: function( result )
        {
            this.loadingRequest.hide();
            //this.loadingRequest.display();

            var res = jQuery.parseJSON( result ).result;
            alert( res );
        },


        // EVENTS ********************************************************
        onClickHome: function()
        {
            location.reload();
        },

        onClickLanguage: function()
        {
            this.requestChangeLocale();
        },

        onClickMail: function()
        {
            document.location.href = "mailto:" + this.webmaster + "?subject=[STATISTICS]";
        },

        onClickLogin: function()
        {
            $( "#login_bg" ).animate( {
                opacity: 0.45,
                height:'500px',
                width:'500px'
            }, 5000, function()
            {
                $( "#login_text" ).css( "visibility", "visible" );
            } );

            $( "#login_button" ).animate( {
                top:'71px',
                left: '160px'
            }, 5000, function()
            {
            } );
        }

        // OTHERS ********************************************************

    } );

</script>
